org.apache.catalina.ha.context

## Class ReplicatedContext.MultiEnumeration<T>

- java.lang.Object
- - org.apache.catalina.ha.context.ReplicatedContext.MultiEnumeration<T>

- All Implemented Interfaces:
    Enumeration<T>
  Enclosing class:
    ReplicatedContext

      protected static class ReplicatedContext.MultiEnumeration<T>
      extends Object
      implements Enumeration<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicatedContext.MultiEnumeration(Enumeration<T>[] enumerations)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasMoreElements()`
    `T` | `nextElement()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplicatedContext.MultiEnumeration

          public ReplicatedContext.MultiEnumeration(Enumeration<T>[] enumerations)

  - ### Method Detail

    - #### hasMoreElements

          public boolean hasMoreElements()

      Specified by:
        `hasMoreElements` in interface `Enumeration<T>`

    - #### nextElement

          public T nextElement()

      Specified by:
        `nextElement` in interface `Enumeration<T>`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.